---
title: 'Configuration'
---

# Proxy Config Reference

Adding environment variables is different for every platform, [here's a guide on how to add environment variables on Cloudflare](https://developers.cloudflare.com/workers/configuration/environment-variables/#add-environment-variables-via-the-dashboard){target="\_blank"}. You'll have to do some research on your own if you aren't hosting the proxy on Cloudflare.

# Reference

### `TURNSTILE_SECRET`

- Type: `string`
- Default: `""`

Turnstile secret key from the [Cloudflare dashboard](https://dash.cloudflare.com/sign-up?to=/:account/turnstile){target="\_blank"}.
::alert{type="warning"}
Keep in mind that you will also need to [configure the Turnstile key on the client](../3.client/3.configuration.md#vite_turnstile_key) and **configure the [`JWT_SECRET`](#jwt_secret) below.**
::

### `JWT_SECRET`

- Type: `string`
- Default: `""`

A [JWT](https://jwt.io/) secret key. This can be any random secret, but **must be 32 characters long.**
